/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Avril 2005                     */

public class AffichageRecursifEnConsole {

  /* Fonction d'affichage en ordre inverse des entiers    */
  /* n : valeur a partir de laquelle afficher             */

  public static void affichageRecursif(int n) {
  /* Affichage de la valeur de n                          */
    Console.out.println(n);
  /* Poursuite récursive sur n-1 si n n'est pas egal a 1  */
    if ( n != 1 )
      affichageRecursif(n-1);
  }

  public static void main(String [] args) {
    Console.setTitle("AffichageRecursif");
  /* Affichage message et lecture au clavier de la valeur */
  /* initiale de n                                        */
    Console.out.print("Valeur de n : ");
    int n = Integer.valueOf(Console.in.readLine()).intValue();
  /* Lancement de la fonction recursive d'affichage       */
    affichageRecursif(n);
  }
}